For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
            • GETList Product Variant Options
            • POSTCreate Product Variant Option
            • GETGet Product Variant Option
            • PUTUpdate Product Variant Option
            • DELDelete Product Variant Option
              • GETList Product Variant Option Values
              • POSTCreate Product Variant Option Value
              • GETGet Product Variant Option Value
              • PUTUpdate Product Variant Option Value
              • DELDelete Product Variant Option Value
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Variant OptionsValues

List Product Variant Option Values

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values
GET
/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id/values
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/options/1/values \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "label": "Beige",
5 "sort_order": 1,
6 "is_default": false,
7 "value_data": {
8 "colors": [
9 "#FAFAEB"
10 ]
11 },
12 "id": 174
13 },
14 {
15 "label": "Grey",
16 "sort_order": 2,
17 "is_default": false,
18 "value_data": {
19 "colors": [
20 "#BDBDBD"
21 ]
22 },
23 "id": 175
24 },
25 {
26 "label": "Black",
27 "sort_order": 3,
28 "is_default": false,
29 "value_data": {
30 "colors": [
31 "#000000"
32 ]
33 },
34 "id": 176
35 },
36 {
37 "label": "Black-Walnut",
38 "sort_order": 4,
39 "is_default": false,
40 "value_data": {
41 "colors": [
42 "#e80ee8"
43 ]
44 },
45 "id": 189
46 }
47 ],
48 "meta": {
49 "pagination": {
50 "total": 4,
51 "count": 4,
52 "per_page": 50,
53 "current_page": 1,
54 "total_pages": 1,
55 "links": {
56 "current": "?page=1&limit=50"
57 }
58 }
59 }
60}

Returns a list of all Variant Option Values. Optional parameters can be passed in.

Was this page helpful?
Previous

Delete Product Variant Option

Next

Create Product Variant Option Value

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

option_idintegerRequired

The ID of the Option.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

Allowed values:
exclude_fieldslist of enumsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Allowed values:

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.